Uploaded image for project: 'Fuse Tooling'
  1. Fuse Tooling
  2. FUSETOOLS-2016

Data Transformation adds two same dozer dependencies with static version

    Details

      Description

      Data Transformation add the following dependencies

          <dependency>
            <groupId>org.apache.camel</groupId>
            <artifactId>camel-dozer</artifactId>
            <version>2.17.0.redhat-630077</version>
          </dependency>
          <dependency>
            <groupId>org.apache.camel</groupId>
            <artifactId>camel-dozer</artifactId>
            <version>2.17.0.redhat-630077</version>
          </dependency>
      

      Moreover, the version 2.17.0.redhat-630077 seems to be hard coded and it is not necessary to specify if there is a bom definition. If the version is specified we can see warnings such as

      Overriding managed version 2.17.0.redhat-630133 for camel-dozer
      

        Gliffy Diagrams

          Attachments

            Activity

              People

              • Assignee:
                aurelien.pupier Aurélien Pupier
                Reporter:
                apodhrad Andrej Podhradsky
              • Votes:
                0 Vote for this issue
                Watchers:
                4 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: